# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "chef-zero"
  s.version = "2.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["John Keiser"]
  s.date = "2014-01-03"
  s.description = "Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes"
  s.email = "jkeiser@opscode.com"
  s.executables = ["chef-zero"]
  s.files = ["LICENSE", "README.md", "Rakefile", "bin/chef-zero", "lib/chef_zero.rb", "lib/chef_zero/cookbook_data.rb", "lib/chef_zero/data_normalizer.rb", "lib/chef_zero/data_store/data_already_exists_error.rb", "lib/chef_zero/data_store/data_error.rb", "lib/chef_zero/data_store/data_not_found_error.rb", "lib/chef_zero/data_store/memory_store.rb", "lib/chef_zero/endpoints/actor_endpoint.rb", "lib/chef_zero/endpoints/actors_endpoint.rb", "lib/chef_zero/endpoints/authenticate_user_endpoint.rb", "lib/chef_zero/endpoints/cookbook_endpoint.rb", "lib/chef_zero/endpoints/cookbook_version_endpoint.rb", "lib/chef_zero/endpoints/cookbooks_base.rb", "lib/chef_zero/endpoints/cookbooks_endpoint.rb", "lib/chef_zero/endpoints/data_bag_endpoint.rb", "lib/chef_zero/endpoints/data_bag_item_endpoint.rb", "lib/chef_zero/endpoints/data_bags_endpoint.rb", "lib/chef_zero/endpoints/environment_cookbook_endpoint.rb", "lib/chef_zero/endpoints/environment_cookbook_versions_endpoint.rb", "lib/chef_zero/endpoints/environment_cookbooks_endpoint.rb", "lib/chef_zero/endpoints/environment_endpoint.rb", "lib/chef_zero/endpoints/environment_nodes_endpoint.rb", "lib/chef_zero/endpoints/environment_recipes_endpoint.rb", "lib/chef_zero/endpoints/environment_role_endpoint.rb", "lib/chef_zero/endpoints/file_store_file_endpoint.rb", "lib/chef_zero/endpoints/node_endpoint.rb", "lib/chef_zero/endpoints/not_found_endpoint.rb", "lib/chef_zero/endpoints/principal_endpoint.rb", "lib/chef_zero/endpoints/rest_list_endpoint.rb", "lib/chef_zero/endpoints/rest_object_endpoint.rb", "lib/chef_zero/endpoints/role_endpoint.rb", "lib/chef_zero/endpoints/role_environments_endpoint.rb", "lib/chef_zero/endpoints/sandbox_endpoint.rb", "lib/chef_zero/endpoints/sandboxes_endpoint.rb", "lib/chef_zero/endpoints/search_endpoint.rb", "lib/chef_zero/endpoints/searches_endpoint.rb", "lib/chef_zero/log.rb", "lib/chef_zero/rest_base.rb", "lib/chef_zero/rest_error_response.rb", "lib/chef_zero/rest_request.rb", "lib/chef_zero/rest_router.rb", "lib/chef_zero/rspec.rb", "lib/chef_zero/server.rb", "lib/chef_zero/solr/query/binary_operator.rb", "lib/chef_zero/solr/query/phrase.rb", "lib/chef_zero/solr/query/range_query.rb", "lib/chef_zero/solr/query/regexpable_query.rb", "lib/chef_zero/solr/query/subquery.rb", "lib/chef_zero/solr/query/term.rb", "lib/chef_zero/solr/query/unary_operator.rb", "lib/chef_zero/solr/solr_doc.rb", "lib/chef_zero/solr/solr_parser.rb", "lib/chef_zero/version.rb", "spec/run.rb", "spec/search_spec.rb", "spec/support/pedant.rb", "spec/support/stickywicket.pem"]
  s.homepage = "http://www.opscode.com"
  s.licenses = ["Apache 2.0"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<mixlib-log>, ["~> 1.3"])
      s.add_runtime_dependency(%q<hashie>, ["~> 2.0"])
      s.add_runtime_dependency(%q<moneta>, ["< 0.7.0"])
      s.add_runtime_dependency(%q<json>, [">= 0"])
      s.add_runtime_dependency(%q<rack>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
    else
      s.add_dependency(%q<mixlib-log>, ["~> 1.3"])
      s.add_dependency(%q<hashie>, ["~> 2.0"])
      s.add_dependency(%q<moneta>, ["< 0.7.0"])
      s.add_dependency(%q<json>, [">= 0"])
      s.add_dependency(%q<rack>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
    end
  else
    s.add_dependency(%q<mixlib-log>, ["~> 1.3"])
    s.add_dependency(%q<hashie>, ["~> 2.0"])
    s.add_dependency(%q<moneta>, ["< 0.7.0"])
    s.add_dependency(%q<json>, [">= 0"])
    s.add_dependency(%q<rack>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
  end
end
